Bug 175336 - modules not built correctly
Summary: modules not built correctly
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: at-spi
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords: Desktop
Depends On:
Blocks: 170417 175205
TreeView+ depends on / blocked
 
Reported: 2005-12-08 22:53 UTC by Nalin Dahyabhai
Modified: 2007-11-30 22:07 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2007-10-19 18:50:06 UTC


Attachments (Terms of Use)
Patch to override the tarball libtool with one which understands multilib. (375 bytes, patch)
2005-12-09 00:24 UTC, Nalin Dahyabhai
no flags Details | Diff

Description Nalin Dahyabhai 2005-12-08 22:53:14 UTC
Description of problem:
On x86_64, there aren't any dynamic modules (.so files) installed into
/usr/lib64/gtk-2.0/modules, only static and libtool archives (.a and .la files).

Version-Release number of selected component (if applicable):
1.1.9-1

How reproducible:
Always

Steps to Reproduce:
1. env GTK_MODULES=gail:ferret:atk-bridge gtk-demo
  
Actual results:
"Failed to load module"

Expected results:
GTK Accessibility Module initialized

Comment 1 Nalin Dahyabhai 2005-12-09 00:24:58 UTC
Created attachment 122049 [details]
Patch to override the tarball libtool with one which understands multilib.

Comment 4 RHEL Product and Program Management 2007-10-19 18:50:06 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.